<?php
// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { die("Cannot access this file directly"); }

require_once WB_PATH . '/include/editarea/wb_wrapper_edit_area.php';
require_once WB_PATH . '/modules/frontend_final_css/module_settings.php';

//Load Language Files
if (file_exists(WB_PATH.'/modules/frontend_final_css/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/frontend_final_css/languages/'.LANGUAGE.'.php');
}
else {
	require_once(WB_PATH.'/modules/frontend_final_css/languages/EN.php');
}

if (!isset($cssFolderName)) {$cssFolderName = 'var';}
if (!isset($cssFileName)) {$cssFolderName = 'custom';}

$modFileName = WB_PATH . '/' . $cssFolderName . '/' . $cssFileName . '.css';
$modFileUrl = WB_URL . '/' . $cssFolderName . '/' . $cssFileName . '.css';

$_action = (isset($_POST['action']) ? strtolower($_POST['action']) : '');
$_action = ($_action != 'save' ? 'edit' : 'save');

if ($_action == 'save') {
    // SAVE THE UPDATED CONTENTS TO THE CSS FILE
    $css_content = '';
    if (isset($_POST['css_data']) && strlen($_POST['css_data']) > 0) {
        $css_content = stripslashes($_POST['css_data']);
    }
    if (($fileHandle = fopen($modFileName, 'wbce'))) {
        if (fwrite($fileHandle, $css_content)) {
            fclose($fileHandle);
            $admin->print_success($TEXT['SUCCESS'], ADMIN_URL . '/admintools/tool.php?tool=frontend_final_css');
            exit;
        }
        fclose($fileHandle);
    }
    $admin->print_error($FCSS['FILE_ERROR'], ADMIN_URL . '/admintools/tool.php?tool=frontend_final_css');
    exit;
} else {
   echo (function_exists('registerEditArea')) ? registerEditArea('code_area', 'css') : 'none';
		// display output
		if (!file_exists(WB_PATH.'/'.$cssFolderName)) {
			$modFileStatus = '<p style="color:firebrick"><span class="fa fa-fw fa-warning"></span> '.$FCSS['DIRECTORY_DOES_NOT_EXIST'].'</p>';
		} else {
			$modFileStatus = '';
		}

        // store content of the module file in variable
        if (file_exists($modFileName)) {
			$css_content = file_get_contents($modFileName);
		} else {
			$css_content = '';
		}

        // write out heading
         echo '<h2>' . $FCSS['FFCSS'] . '</h2>';
		echo '<p>' . $FCSS['CURRENT_FILE'] . '"' . $modFileUrl . '"  '.$modFileStatus.'</p>';

        // output content of module file to textareas
		if ($modFileStatus == '') {
        ?>
		<form name="edit_module_file" action="<?php echo ADMIN_URL;?>/admintools/tool.php?tool=frontend_final_css" method="post" style="margin: 0;">

	  	<input type="hidden" name="action" value="save" />
		<textarea  id="code_area" name="css_data" cols="100" rows="25" wrap="VIRTUAL" style="margin:2px;width:100%;"><?php echo htmlspecialchars($css_content);?></textarea>
  			<table cellpadding="0" cellspacing="0" border="0" width="100%">
  			<tr>
    			<td class="left">
 				<input name="save" type="submit" value="<?php echo $TEXT['SAVE'];?>" style="width: 100px; margin-top: 5px;" />
    			</td>
  				<td class="right">
      			<input type="button" value="<?php echo $TEXT['BACK'];?>"
						onclick="javascript: window.location = '<?php echo ADMIN_URL;?>/admintools/';"
						style="width: 100px; margin-top: 5px;" />
  				</td>
  			</tr>
  			</table>
		</form>
<?php
		}
}


